AllConnectionsInUseException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.client, class: AllConnectionsInUseException

Package org.apache.geode.cache.client

# Class AllConnectionsInUseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.client.ServerConnectivityException
org.apache.geode.cache.client.AllConnectionsInUseException

All Implemented Interfaces:
  `Serializable`

public class AllConnectionsInUseException extends ServerConnectivityException
Indicates that the connection pool is at its maximum size and all connections are in use.

Since:
  GemFire 5.7
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AllConnectionsInUseException()`
  Create a new instance of AllConnectionsInUseException without a detail message or cause.
  `AllConnectionsInUseException(String message)`
  Create a new instance of AllConnectionsInUseException with a detail message
  `AllConnectionsInUseException(String message, Throwable cause)`
  Create a new instance of AllConnectionsInUseException with a detail message and cause
  `AllConnectionsInUseException(Throwable cause)`
  Create a new instance of AllConnectionsInUseException with a cause

- ## Method Summary

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AllConnectionsInUseException

    public AllConnectionsInUseException()
    Create a new instance of AllConnectionsInUseException without a detail message or cause.

  - ### AllConnectionsInUseException

    public AllConnectionsInUseException(String message)
    Create a new instance of AllConnectionsInUseException with a detail message
    Parameters:
      `message` - the detail message

  - ### AllConnectionsInUseException

    public AllConnectionsInUseException(Throwable cause)
    Create a new instance of AllConnectionsInUseException with a cause
    Parameters:
      `cause` - the cause

  - ### AllConnectionsInUseException

    public AllConnectionsInUseException(String message, Throwable cause)
    Create a new instance of AllConnectionsInUseException with a detail message and cause
    Parameters:
      `message` - the detail message
      `cause` - the cause